Bug 4188 - HTML conversion translates ~ characters in TeX documentation to non-breaking spaces
: HTML conversion translates ~ characters in TeX documentation to non-breaking ...
Status: NEW
Product: Developer Guide
Maemo Info Center
: 4.1.x
: All All
: Low normal (vote)
: ---
Assigned To: Jarmo Tikka
: documentation@maemo.org
: http://maemo.org/development/training...
  Show dependency tree
Reported: 2009-03-06 17:30 UTC by Lucas Maneos
Modified: 2010-05-17 15:51 UTC (History)
1 user (show)

See Also:



You need to log in before you can comment on or make changes to this bug.

Description Lucas Maneos (reporter) 2009-03-06 17:30:09 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:
Gecko/2009030423 Ubuntu/8.10 (intrepid) Firefox/3.0.7
Build Identifier: 

Example in above URL, hildon_helloworld-5.c cbActionFindToolbarToggle (circa
line 192):
-  newVisibilityState =  app->findToolbarIsVisible;
+  newVisibilityState = ~app->findToolbarIsVisible;

HTML code:

  newVisibilityState <span style="color: rgb(153, 0, 0);">=</span> <span
style="color: rgb(153, 0, 0);">&nbsp;</span>app<span style="color: rgb(153, 0,
0);">-&gt;</span>findToolbarIsVisible<span style="color: rgb(153, 0,

Note: ~ is the TeX equivalent to HTML's &nbsp;

There may be other places with the same problem.

The PDF version is fine so the source material is probably OK and it's just the
HTML output that gets munged.


Steps to Reproduce:
Comment 1 Lucas Maneos (reporter) 2009-03-18 19:11:24 UTC
Another conversion buglet: "--" becomes "-".

(note pkg-config invocations).

Interestingly, "~" is left alone in the shell examples on the same page.
Comment 2 Jarmo Tikka nokia 2009-12-28 14:47:37 UTC
Changed Target Milestone to 5.0+. For Fremantle we have fixed a lot latex2html
tool (that is used to generate HTML from .tex files) so it may be that this has
been already fixed. Fremantle training material will be updated (from Diablo
version) after Fremantle Developer Guide in maemo.org wiki has been updated and
approved. I now have Maemo Documentation toolchain for Debian Lenny and Ubuntu
Janunty as prefinal but because of size restriction I was not able top upload
is as attachment for this bug report (I will release toolchain separately in
Comment 3 Andre Klapper maemo.org 2010-03-11 15:51:51 UTC
Jarmo: Please update the status here, e.g. if this has definitely been fixed,
or if this is being worked on.
Comment 4 Andre Klapper maemo.org 2010-05-17 15:51:11 UTC
[Rearrangement of Documentation bug reports.]